I upgraded just now and Its not downloading properly...any advice. It says this...

Expression blend could not load one or more of the installed extensions from...path...please uninstall and reinstall the latest version of the extensions....Retreive the loader exceptions property for more information.

I have NO clue whats going on here. Any help?